import { Payload, HandlerPayload, Publisher, Consumer, BaseEventHandler } from 'ec-base';
export { Publisher as AlibabaFinishOrderPublisher };
export { Consumer, BaseEventHandler };
export declare type AlibabaFinishOrderPayloadBody = {
    userName?: string;
    sex?: number;
};
export declare class AlibabaFinishOrderPayload extends Payload {
    getTopic(): string;
    getVersion(): string;
    getMajorVersion(): number;
    body: AlibabaFinishOrderPayloadBody;
}
export declare class AlibabaFinishOrderHandlerPayload extends HandlerPayload {
    body: AlibabaFinishOrderPayloadBody;
}
